## START: Set by rpmautospec
## (rpmautospec version 0.6.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by go2rpm 1.14.0
%bcond check 1
%bcond bootstrap 0

%global debug_package %{nil}
%global module internal

%if %{with bootstrap}
%global __requires_exclude %{?__requires_exclude:%{__requires_exclude}|}^golang\\(.*\\)$
%endif

# https://github.com/Azure/azure-sdk-for-go
%global goipath         github.com/Azure/azure-sdk-for-go/sdk/%{module}
Version:                1.5.0
%global tag             sdk/%{module}/v%{version}
%global distprefix      %{nil}

%gometa -f

%global common_description %{expand:
Azure SDK for Go - %{module} library.}

%global golicenses      LICENSE.txt
%global godocs          CHANGELOG.md CODE_OF_CONDUCT.md CONTRIBUTING.md SUPPORT.md\\\
                        SECURITY.md README.md

Name:           %{goname}
Release:        %autorelease
Summary:        Azure SDK for Go - %{module} library

License:        MIT
URL:            %{gourl}
Source:         %{gosource}

%description %{common_description}

%gopkg

%prep
%goprep
%autopatch -p1

# move building library to the root to match goipath
mv sdk/%{module}/* .
rm -rf .github documentation eng profile sdk

%if %{without bootstrap}
%generate_buildrequires
%go_generate_buildrequires
%endif

%install
%gopkginstall

%if %{without bootstrap}
%if %{with check}
%check
for test in "TestRecordingHTTPClient_Do" \
; do
awk -i inplace '/^func.*'"$test"'\(/ { print; print "\tt.Skip(\"disabled failing test\")"; next}1' $(grep -rl $test)
done
%gocheck -d recording
%endif
%endif

%gopkgfiles

%changelog
## START: Generated by rpmautospec
* Fri Jul 26 2024 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.5.0-2
- Update spec

* Mon Jul 22 2024 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.5.0-1
- Update to 1.5.0

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Jul 27 2023 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.3.0-2
- Patch to fix test with golang rc - Closes rhbz#2216264

* Thu Jul 27 2023 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.3.0-1
- Initial package - Closes rhbz#2216264
## END: Generated by rpmautospec
